                    Computer Science 481/681
                           Quiz 2            Name____________________


1. Suppose I enter the command ftp 134.123.44.15 from a workstation
   that is attached to an ethernet.  The issuance of this command
   will generate an ARP exchange:

   a. Always.                       b. If MY workstation is on network
                                       134.123 and the target address is
                                       not in my arp cache.

   c. If MY workstation is  on      d. Only if 134.123.44.15 is already
      network 134.123 regardless       known to be on my ethernet.
      of the state of my arp cache.


2. Three addresses are carried in every ARP REQUEST. Identify them.

   a.

   b.

   c.


3. The ARP command can be used to

   a. List entries in the ARP        b. Delete entries from the
      cache.                            ARP cache.

   c. Add entries to the ARP cache   d. All of the above.



4. Identify the IP class of service used by each of the following
   transports:


   ___ a. FTP commands               1. Minimize cost
                                     2. Maximize delay
   ___ b. FTP data                   3. Minimize reliablity
                                     4. Maximize throughput
   ___ c. SNMP  (network mgmt)       5. Maximize reliabilty.
                                     6. Minimize delay.
   ___ d. NNTP  (network news)

5. The maximum number of times an IP datagram can be forwarded is

   a. 5                              b. 16

   c. 255                            d. No limit

6. Identify one good reason for putting the source address in
   every IP header.






7. What is the subnet mask for a class B network in which 10
   bits are used as subnet address and  6 bits as host address.

   a.


   b. Suppose my subnetwork mask is 255.255.192.0 and my host address
      is 130.127.72.1. Answer T or F depending upon whether each of
      the following is on the same subnetwork as me.

      ___ 1. 130.127.72.120

      ___ 2. 130.127.73.120

      ___ 3. 130.127.71.120

      ___ 4. 130.128.72.120


8. One type of entry found in an IP routing table is a host address
   entry.  What are the other two?

   a.

   b.

   c. Which of the three types has the highest priority?


9. How do entries get added to, modified, or deleted from IP
   routing tables.

   a. Via exchange of routing       b. By system administrators
      messages among routers.          using the route command.

   c. Routing table info can be    d. All of the above.
      loaded at boot time from
      a file.




1 - How does address class affect routing table space.... Which
    class is the biggest problem.

2 - What are the three types of entries in routing tables.

3 - The book exercise on the updates of arp tables.

4 - What types of transmissions cause ARPs: any, network match,
    etc.

5 - Proxy arp (easy question... involves interconnected LANS
    long haul, or both.)

6 - Telephone system vs IP address assignment effect on routing.

7 - The arp command: what can you do with it.

8 - TCPDUMP and arp.. does tcpdump include arp stuff or only
    tcpdump stuff

9 - IP routing: For a packet to be successfully routed do all
    routers need to "know about" the dest net, host, both, neither

10 - IP routing: Purely dynamic, Purely under control of sys admin
     or both.
